OpenMPI 0.1.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Typedefs | Functions | Variables
rcache_rb.h File Reference

Copyright (c) 2004-2005 The Trustees of Indiana University and Indiana University Research and Technology Corporation. More...

`#include "ompi_config.h"`
`#include "opal/mca/mca.h"`
`#include "opal/class/opal_list.h"`
`#include "ompi/class/ompi_rb_tree.h"`
`#include "ompi/mca/rcache/rcache.h"`

Go to the source code of this file.

## Data Structures
struct | mca_rcache_rb_module_t
struct | mca_rcache_rb_component_t

## Typedefs
typedef struct mca_rcache_rb_module_t | mca_rcache_rb_module_t
typedef struct mca_rcache_rb_component_t | mca_rcache_rb_component_t

## Functions
void | mca_rcache_rb_module_init (mca_rcache_rb_module_t *rcache)
| init/finalize More...
int | mca_rcache_rb_find (mca_rcache_base_module_t *rcache, void *addr, size_t size, opal_pointer_array_t *regs, uint32_t *cnt)
int | mca_rcache_rb_insert (struct mca_rcache_base_module_t *rcache, mca_mpool_base_registration_t *registration, uint32_t flags)
int | mca_rcache_rb_delete (struct mca_rcache_base_module_t *rcache, mca_mpool_base_registration_t *registration, uint32_t flags)
void | mca_rcache_rb_finalize (struct mca_rcache_base_module_t *)
| finalize

## Variables
OMPI_MODULE_DECLSPEC mca_rcache_rb_component_t | mca_rcache_rb_component

## Detailed Description

Copyright (c) 2004-2005 The Trustees of Indiana University and Indiana University Research and Technology Corporation.

All rights reserved. Copyright (c) 2004-2007 The University of Tennessee and The University of Tennessee Research Foundation. All rights reserved. Copyright (c) 2004-2005 High Performance Computing Center Stuttgart, University of Stuttgart. All rights reserved. Copyright (c) 2004-2005 The Regents of the University of California. All rights reserved. $COPYRIGHT$

Additional copyrights may follow

$HEADER$

Description of the Registration Cache framework

## Function Documentation

void mca_rcache_rb_module_init | ( | mca_rcache_rb_module_t * | rcache | ) |

init/finalize

init/finalize

References mca_rcache_rb_finalize(), and OBJ_CONSTRUCT.